
Figure - Bug #118619
【AF】【EVT3】【Monkey】107版本Monkey测试40小时后异常停止（4+27个APK）
2023-06-07 17:04 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-07

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: 稳定性 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0107

Resolution: DUPLICATE Degrated: No

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause: 与 #118052 是同件问题

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 32000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，设备进入屏保

Related issues:

Related to Figure - Bug # 118052: 【IOVDEV-28498】【IOVDEV-3... CLOSED 2023-05-26 2023-06-05

History

#1 - 2023-06-07 17:06 - CD TEST-方永红

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118619

#2 - 2023-06-07 18:07 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 是同件问题

■ 我的分析

此问题与 #118052 是同件问题，我们将在 #118052 中跟踪处理

surfaceflinger报空指针了，导致系统进程挂了

--------------------

06-07 10:51:20.099 23834 23834 F DEBUG   : * 

06-07 10:51:20.099 23834 23834 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3830:user/test-keys'

06-07 10:51:20.099 23834 23834 F DEBUG   : Revision: '0'

06-07 10:51:20.099 23834 23834 F DEBUG   : ABI: 'arm64'

06-07 10:51:20.099 23834 23834 F DEBUG   : Timestamp: 2023-06-07 10:51:19.462895999+0800

06-07 10:51:20.099 23834 23834 F DEBUG   : Process uptime: 0s

06-07 10:51:20.099 23834 23834 F DEBUG   : Cmdline: /system/bin/surfaceflinger
06-07 10:51:20.099 23834 23834 F DEBUG   : pid: 979, tid: 979, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

06-07 10:51:20.099 23834 23834 F DEBUG   : uid: 1000

06-07 10:51:20.099 23834 23834 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x0

06-07 10:51:20.099 23834 23834 F DEBUG   : Cause: null pointer dereference

06-07 10:51:20.100 23834 23834 F DEBUG   :     x0  b4000071f4aaa230  x1  b4000071545c0180  x2  000000000000003b  x3  0000007fe324ca08

06-07 10:51:20.100 23834 23834 F DEBUG   :     x4  0000000000000038  x5  0000007064571ec0  x6  000386210003fae3  x7  0003dc0c0003f6d3

06-07 10:51:20.100 23834 23834 F DEBUG   :     x8  b4000071f4aa7b50  x9  00000000000026e0  x10 0000000000000002  x11 0000000000000000

06-07 10:51:20.100 23834 23834 F DEBUG   :     x12 0000000000000012  x13 0003fcb90003f390  x14 0011c23a6d514c00  x15 0000000034155555

06-07 10:51:20.100 23834 23834 F DEBUG   :     x16 0000005cb2f01d08  x17 0000007377d16ec0  x18 0000007383360000  x19 0000000000000000

06-07 10:51:20.100 23834 23834 F DEBUG   :     x20 b4000071545c0180  x21 b4000071f4aaa230  x22 b4000071f4606998  x23 00000073824a1000

06-07 10:51:20.100   653   667 I mpu_uart: [MSG-P:R]:recv sync frame timeout

06-07 10:51:20.100 23834 23834 F DEBUG   :     x24 0000000000000000  x25 b4000070a496d208  x26 0000000000000001  x27 0000000000002559

06-07 10:51:20.100 23834 23834 F DEBUG   :     x28 00000000000026bd  x29 0000007fe324ca20

06-07 10:51:20.100 23834 23834 F DEBUG   :     lr  0000005cb2a718f4  sp  0000007fe324ca20  pc  0000007377d16ee0  pst 0000000020001000

06-07 10:51:20.100 23834 23834 F DEBUG   : backtrace:

06-07 10:51:20.100 23834 23834 F DEBUG   :       #00 pc 000000000000eee0  /system/lib64/libutils.so (android::RefBase::decStrong(void const) const+32) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #01 pc 000000000015b8f0  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_destroy(void*, unsigned long) const+68) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #02 pc 0000000000014be4  /system/lib64/libutils.so (android::VectorImpl::operator=(android::VectorImpl const&)+112)

(BuildId: b940f836006eead456c936e97e64d2d4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #03 pc 000000000015861c  /system/bin/surfaceflinger (android::Layer::commitChildList()+80) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #04 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #05 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #06 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #07 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #08 pc 00000000001585f8  /system/bin/surfaceflinger (android::Layer::commitChildList()+44) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #09 pc 000000000019ee28  /system/bin/surfaceflinger (android::SurfaceFlinger::commitTransactionLocked()+500)

(BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #10 pc 000000000019602c  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+7872)

(BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #11 pc 00000000001940e4  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56)

(BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #12 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #13 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #14 pc 000000000016f870  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #15 pc 00000000001891d4  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+100) (BuildId:

9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #16 pc 00000000001d7248  /system/bin/surfaceflinger (main+1640) (BuildId: 9e93e9ccd42ba048dfd020375b5b0dd4)

06-07 10:51:20.100 23834 23834 F DEBUG   :       #17 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

--------------------
#3 - 2023-06-08 10:27 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#4 - 2023-06-25 14:00 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
